summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Edinaldo P. Silva2015-11-25 09:35:37 +0100
committer Willy Sudiarto Raharjo2015-11-28 01:25:59 +0100
commit6671081506b3c9f4bb7aeebca59554fbe1c434a5 (patch)
tree0b232be1a56a7eb4904ee75de65de2b74bad02c0 /desktop
parentc5b5f708c88806b192814847333b4c53ca438a53 (diff)
downloadslackbuilds-6671081506b3c9f4bb7aeebca59554fbe1c434a5.tar.gz
desktop/numix-gtk-theme: Added (modern flat theme).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/numix-gtk-theme/README7
-rw-r--r--desktop/numix-gtk-theme/doinst.sh13
-rw-r--r--desktop/numix-gtk-theme/fix_overlay_scrollbar.patch16
-rw-r--r--desktop/numix-gtk-theme/numix-gtk-theme.SlackBuild66
-rw-r--r--desktop/numix-gtk-theme/numix-gtk-theme.info10
-rw-r--r--desktop/numix-gtk-theme/slack-desc19
6 files changed, 131 insertions, 0 deletions
diff --git a/desktop/numix-gtk-theme/README b/desktop/numix-gtk-theme/README
new file mode 100644
index 0000000000..91b0f74bb3
--- /dev/null
+++ b/desktop/numix-gtk-theme/README
@@ -0,0 +1,7 @@
+numix-gtk-theme (modern flat theme)
+
+Numix is a modern flat theme with a combination of light and dark
+elements. It supports Gnome, Unity, XFCE and Openbox. Numix is a part
+of the Numix Project.
+
+Optional dependencies: gtk-engines, gtk-engines-unico, murrine.
diff --git a/desktop/numix-gtk-theme/doinst.sh b/desktop/numix-gtk-theme/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/desktop/numix-gtk-theme/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/numix-gtk-theme/fix_overlay_scrollbar.patch b/desktop/numix-gtk-theme/fix_overlay_scrollbar.patch
new file mode 100644
index 0000000000..d2df5d45a4
--- /dev/null
+++ b/desktop/numix-gtk-theme/fix_overlay_scrollbar.patch
@@ -0,0 +1,16 @@
+diff -Nru Numix.orig/gtk-3.0/gtk-widgets.css Numix/gtk-3.0/gtk-widgets.css
+--- Numix.orig/gtk-3.0/gtk-widgets.css 2013-07-01 15:27:19.000000000 +0530
++++ Numix/gtk-3.0/gtk-widgets.css 2013-07-01 19:59:56.017479426 +0530
+@@ -58,6 +58,12 @@
+ background-color: @theme_bg_color;
+ color: @theme_fg_color;
+ }
++
++* {
++ /* inherit colors from parent */
++ color: inherit;
++ background-color: inherit;
++}
+
+ *:selected,
+ *:selected:focus {
diff --git a/desktop/numix-gtk-theme/numix-gtk-theme.SlackBuild b/desktop/numix-gtk-theme/numix-gtk-theme.SlackBuild
new file mode 100644
index 0000000000..ef942ee695
--- /dev/null
+++ b/desktop/numix-gtk-theme/numix-gtk-theme.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+#
+# Slackware build script for numix-gtk-theme.
+#
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="numix-gtk-theme"
+VERSION=${VERSION:-2.4.20141208}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+SRCVER="2.4"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_${SRCVER}.orig.tar.gz
+mv $PRGNAM-$SRCVER $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+patch -p0 gtk-3.0/gtk-widgets.css < $CWD/fix_overlay_scrollbar.patch
+
+mkdir -p $PKG/usr/share/themes/Numix
+
+THEMES="gtk-2.0 gtk-3.0 metacity-1 openbox-3 xfce-notify-4.0 xfwm4"
+cp -a $THEMES $PKG/usr/share/themes/Numix
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CREDITS LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/numix-gtk-theme/numix-gtk-theme.info b/desktop/numix-gtk-theme/numix-gtk-theme.info
new file mode 100644
index 0000000000..14e7efbaa6
--- /dev/null
+++ b/desktop/numix-gtk-theme/numix-gtk-theme.info
@@ -0,0 +1,10 @@
+PRGNAM="numix-gtk-theme"
+VERSION="2.4.20141208"
+HOMEPAGE="https://github.com/shimmerproject/Numix/"
+DOWNLOAD="https://launchpad.net/~numix/+archive/ubuntu/ppa/+files/numix-gtk-theme_2.4.orig.tar.gz"
+MD5SUM="c491ba484f332e11c22e5b18bd06505f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/desktop/numix-gtk-theme/slack-desc b/desktop/numix-gtk-theme/slack-desc
new file mode 100644
index 0000000000..c3e905be96
--- /dev/null
+++ b/desktop/numix-gtk-theme/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+numix-gtk-theme: numix-gtk-theme (modern flat theme)
+numix-gtk-theme:
+numix-gtk-theme: Numix is a modern flat theme with a combination of light and dark
+numix-gtk-theme: elements. It supports Gnome, Unity, XFCE and Openbox. Numix is a part
+numix-gtk-theme: of the Numix Project.
+numix-gtk-theme:
+numix-gtk-theme: Home page: https://github.com/shimmerproject/Numix
+numix-gtk-theme:
+numix-gtk-theme:
+numix-gtk-theme:
+numix-gtk-theme: